Skip to main content
PATCH
/
v1
/
10dlc
/
campaigns
/
{campaignId}
Update 10DLC campaign
curl --request PATCH \
  --url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "sampleMessages": [
    "<string>"
  ],
  "messageFlow": "<string>",
  "helpMessage": "<string>",
  "optInKeywords": [
    "<string>"
  ],
  "optOutKeywords": [
    "<string>"
  ]
}
'
{
  "campaign": {
    "id": "<string>",
    "brandId": "<string>",
    "name": "Order Notifications",
    "useCase": "ACCOUNT_NOTIFICATION",
    "description": "<string>",
    "sampleMessages": [
      "<string>"
    ],
    "subscriberOptIn": true,
    "subscriberOptOut": true,
    "subscriberHelp": true,
    "numberPooling": true,
    "directLending": true,
    "embeddedLink": true,
    "embeddedPhone": true,
    "affiliateMarketing": true,
    "ageGated": true,
    "status": "draft",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "subUseCases": [
      "<string>"
    ],
    "messageFlow": "<string>",
    "helpMessage": "<string>",
    "optInKeywords": [
      "<string>"
    ],
    "optOutKeywords": [
      "<string>"
    ],
    "dailyLimit": 123,
    "failureReason": "<string>",
    "registrationCostCents": 123,
    "monthlyFeeCents": 123,
    "submittedAt": "2023-11-07T05:31:56Z",
    "approvedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

10DLC campaign ID.

Body

application/json
name
string
Maximum string length: 100
description
string
Maximum string length: 4096
sampleMessages
string[]
Required array length: 1 - 5 elements
Maximum string length: 1024
messageFlow
string
Maximum string length: 2048
helpMessage
string
Maximum string length: 500
optInKeywords
string[]
Maximum string length: 50
optOutKeywords
string[]
Maximum string length: 50

Response

Campaign updated.

campaign
object
required